DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# GetObjectLabels

Lists object labels in image

## SYNOPSIS

dip_Error dip_GetObjectLabels ( in, mask, labels, nullIsObject, resources )

## DATA TYPES

binary, integer

## FUNCTION

This function produces an array of object labels present in the image `in`. Optionally, `mask` can mask the regions in `in` where to search for labels. The boolean `nullIsObject` specifies whether or not to treat the value zero as an object label.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input label image
`dip_Image` | `mask` | Mask image
`dip_IntegerArray *` | `labels` | Array of labels
`dip_Boolean` | `nullIsObject` | treat the value zero ad an object label
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`Label`, `IntegerArrayFind`

DIPlib on-line documentation | Function reference | Global function index